# See https://symfony.com/bundles/SchebTwoFactorBundle/7.x/configuration.html
scheb_two_factor:
    two_factor_provider_decider: TerraFlow\Security\TwoFactor\OrderedTwoFactorProviderDecider
    security_tokens:
        - Symfony\Component\Security\Core\Authentication\Token\UsernamePasswordToken
        - Symfony\Component\Security\Http\Authenticator\Token\PostAuthenticationToken
    totp:
        enabled: true
        server_name: TerraFlow
        issuer: TerraFlow CMS
        leeway: 1
        # Wird von TerraFlow\Security\TwoFactor\StorefrontTwoFactorFormRenderer ignoriert; sinnvoller Fallback bei Entfernen des Overrides
        template: '@TerraFlowCMS/totp_2fa.html.twig'
